/* Style général */
html, body {
    height: 100%;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
}

#select-department, #select-ville, #form-meteo input[type="submit"] {
    margin-bottom: 20px;
    text-align: center;
}

h1 {
    font-size: 2rem;
    text-align: center;
    margin-bottom: 20px;
}

h4 {
    text-align: center;
}

.main-container {
    max-width: 80%;
    display: flex;
    align-items: center;
    justify-content: right;
    margin: 0 auto;
}

.toggle-switch {
    position: fixed;
    top: 30px;
    right: 30px;
    width: 60px;
}

label {
    position: absolute;
    width: 60px;
    height: 30px;
    background-color: #28292c;
    border-radius: 50px;
    cursor: pointer;
}

input {
    position: absolute;
    display: none;
}

.slider {
    position: absolute;
    width: 60px;
    height: 30px;
    border-radius: 50px;
    transition: 0.3s;
}

input:checked ~ .slider {
    background-color: #d8dbe0;
}

.slider::before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    box-shadow: inset 7.2px 0 0 0 #d8dbe0;
    background-color: #28292c;
    transition: 0.3s;
}

input:checked ~ .slider::before {
    transform: translateX(30px);
    background-color: #28292c;
    box-shadow: none;
}

.container {
    max-width: 80%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

img[usemap] {
    margin-right: 20px;
    width: 750px;
    height: auto;
}

input.meteo-btn {
    display: block;
    margin: 0 auto;
    background-color: #333;
    color: #fff;
    padding: 1rem 2rem;
    border: none;
    cursor: pointer;
    font-size: 1.1rem;
    transition: background-color 0.3s ease;
}

input.meteo-btn:hover {
    background-color: #28292c;
}

.weather-icon {
    vertical-align: middle;
    margin-right: 20px;
}

.weather-forecast {
    color: #212121;
    font-size: 1.2em;
    font-weight: bold;
    margin: 20px 0;
}

.infos {
    line-height: 25px;
}

.weather-info, .forecast {
    padding: 20px;
    margin-bottom: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}

.weather-info h2, .forecast h2 {
    font-size: 1.5rem;
    margin-bottom: 15px;
}

.weather-info p, .forecast p {
    font-size: 1.2rem;
}

.temp {
    font-size: 2rem;
    color: #007BFF;
}

.description {
    text-transform: capitalize;
}

table {
    width: 100%;
    text-align: center;
}

button.switch-btn {
    display: block;
    text-align: center;
    margin: 0 auto;
    padding: 10px 20px;
    color: black;
    cursor: pointer;
    background-color: #f4f4f4;
    text-decoration: none;
    border-radius: 5px;
    border: 2px solid #007BFF;
    font-size: 1.3rem;
    transition: background-color 0.3s ease, border-color 0.3s ease;
}

button.switch-btn:hover {
    background-color: #007BFF;
    border-color: #0056b3;
    color: white;
}

.back-btn {
    display: block;
    text-align: center;
    margin: 0 auto;
    padding: 10px 20px;
    background-color: #007BFF;
    color: #fff;
    cursor: pointer;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.back-btn:hover {
    background-color: #0056b3;
}

#map {
    width: 100%;
    height: 50%;
}

/* Style pour le mode sombre */
body.dark-mode {
    background-color: #333;
    color: #fff;
}

input.meteo-btn.dark-mode {
    display: block;
    margin: 0 auto;
    background-color: #333;
    color: #fff;
    padding: 1rem 2rem;
    border: 2px solid #fff;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.1rem;
    transition: background-color 0.3s ease;
}

input.meteo-btn.dark-mode:hover.dark-mode {
    background-color: #28292c;
}

button.switch-btn.dark-mode {
    display: block;
    text-align: center;
    margin: 0 auto;
    padding: 10px 20px;
    color: white;
    cursor: pointer;
    background-color: #333;
    text-decoration: none;
    border-radius: 5px;
    border: 2px solid #fff;
    font-size: 1.3rem;
    transition: background-color 0.3s ease, border-color 0.3s ease;
}

button.switch-btn.dark-mode:hover.dark-mode {
    background-color: #007BFF;
    border-color: #0056b3;
    color: white;
}
